package com.ruixuan.salesLeads.service;

import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.salesLeads.pojo.SaleClueInfoPojo;
import com.ruixuan.salesLeads.pojo.SaleClueRecordInfoPojo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: demo测试
 * @CreateDate: 2022-05-19
 * ****************************************************
 */
public interface ISaleClueInfoService {


    ResultResponse importSaleExcelOrCsv(MultipartFile file,int salesLeadsType,Long uploadDate,Long createUserId);


    ResultResponse selectSaleClueInfoList(String sellerName, Long uploadDate, String distributionSaleFlag, String industryId, String fansType,String state,String salesLeadsType, Long userId)throws Exception;

    ResultResponse selectSaleClueTaskList(String sellerName,Integer state, Long userId);

    ResultResponse<List<SaleClueInfoPojo>> selectSaleClueInfoBySellers(List<Long> sellerIds);

    ResultResponse saleClueDistribution(List<String> sellerIds, Long saleId,Long createUserId);


    ResultResponse getTaskNumber(Long userId);

    ResultResponse getSaleTaskInfoBySellerId(Long sellerId);

    ResultResponse insertSaleTaskRecord(SaleClueRecordInfoPojo recordInfoPojo);

    ResultResponse saleClueToOffline(Long sellerId,int offlineSaleFlag,Long saleId,Long createUserId);

}
